Bug 48762 - FORMATTING: Pasting rich text into unprotected cell changes the cell to protected
Summary: FORMATTING: Pasting rich text into unprotected cell changes the cell to prote...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste Cell-Sheet-Protection
  Show dependency treegraph
 
Reported: 2012-04-16 02:15 UTC by karaluh
Modified: 2021-02-07 04:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2012-04-16 02:15:06 UTC
Steps to reproduce:
1. Unprotect cell
2. Protect sheet
3. Paste the text "Fast, secure and stylishly simple," from ubuntu.com into the unprotected cell.

Current behavior:
Cell becomes protected.

Expected behavior:
Cell stays unprotected. See also https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/704789

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Jorendc 2014-07-04 08:47:45 UTC
Reproducible, tested using Linux Mint 17 x64 with LibreOffice Version: 4.4.0.0.alpha0+ Build ID: f511a2915ed856f048fd7dd91fd9f7537b1e0479

Steps:
* Open Calc
* Right click on Cell A1 > Format Cells...
* Tab 'Cell Protection' > uncheck 'Protected' > OK
* Right click on the sheet1 tab > Protect Sheet...
* Enter a password and click OK

* From http://www.ubuntu.com/ copy 'Open source, OpenStack software and tools for private and public clouds.'
* In Calc select cell A1 > Ctrl+V to paste

Behavior: try to right click on A1. It only has the context menu of a protected cell. If you unprotect the sheet again, and go again to the 'Cell protection' (steps above) you'll see the 'Protection' is checked again.

Kind regards,
Joren
Comment 2 QA Administrators 2015-07-18 17:43:00 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-10-17 12:33:00 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-10-22 09:40:48 UTC
Still repro on Linux.

Version: 5.0.2.2
Build ID: 5.0.2.2 Arch Linux build-3
Locale: fi-FI (fi_FI.UTF-8)
Gnome Shell 3.18.1
Comment 5 QA Administrators 2017-01-03 19:41:34 UTC Comment hidden (obsolete)
Comment 6 Timur 2017-01-04 08:37:03 UTC
Reproduced with any rich text, like bold and italic from another spreadsheet.
Comment 7 Timur 2019-02-07 16:00:50 UTC
Repro 6.3+.
Comment 8 QA Administrators 2021-02-07 04:18:30 UTC
Dear karaluh,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug